@use "../../styles/colors.scss";

.product-info-timer {
  background-color: colors.$background_paper;
  opacity: 0.3;
  color: colors.$background_default;
  border-radius: 15px;
  height: 100%;
  display: flex;
  flex-flow: column;
  .title {
    display: none;
  }
  &.active {
    background-color: colors.$secondary_main;
    opacity: 1;
    .title {
      display: block;
      background-color: rgba(colors.$primary_main, 10%);
      border-top-left-radius: 15px;
      border-top-right-radius: 15px;
      padding: 9px 25px;
      text-transform: uppercase;
      font-size: 0.6875rem;
      font-weight: 600;
      text-align: center;
    }
    .timer {
      font-size: 1.5rem;
      font-weight: bold;
      flex: 1;
      display: flex;
      align-items: center;
      justify-content: center;
    }
  }
}
